Subject: RE: problems caused by rules-update-07 (was: Re: WG Last Call ondraft-ietf-ipr-rules-update-07.txt)

From: "Contreras, Jorge" <[email-masked]>
Date: Sun, 30 Jul 2006 13:55:28 -0400

> 
>       3.3.  Rights Granted by Contributors to IETF Trust
> 
>       To the extent that a Contribution or any portion thereof is
>       protected by copyright or other rights of authorship, the
>       Contributor, and each named co-Contributor, and the organization
>       he or she represents or is sponsored by (if any) grant a
>       perpetual, irrevocable, non-exclusive, royalty-free, world-wide
>       right and license to the IETF Trust under all such 
> copyrights and
>       other rights in the Contribution, provided that the IETF Trust
>       shall have the right to sublicense these rights solely to the
>                                                      ^^^^^^^^^^^^^^
>       extent described in Section 3.7 and 3.8 below:
>       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> 
> Therefor, the IETF Trust cannot grant IETF participants or third
> parties additional rights (beyond 3.7/3.8) to future documents, even
> when the IETF Trust holds all rights to the document.
> 
> The IETF Trust is effectively bound by the outbound license in section
> 3.7 and section 3.8 forever, unless the inbound license is changed
> too.

The "solely to the extent" language is intended to ensure that the 
IETF Trust only grants licenses that are approved by the IETF community.
When and if the community approves additional outbound rights, 
Sections 3/7/3.8 would be amended to include them.  For now, 3.7/3.8 are
limited only to the *existing* outbound rights that everyone 
seems to agree with:

-- use within the IETF Standards Process,

-- reproduction of unmodified IETF documents,

-- translation into non-English languages,

-- extraction and modification of executable code.

> 
> Several people have stated that they want to separate inbound rights
> from outbound rights.  I believe that is a good idea, and that the
> document should reflect this.

That's not possible.  At a minimum, some outbound rights are needed
to ensure that the IETF can continue to operate (see above)

> Given that we don't know what the outbound license from the IETF
> should be, I believe we shouldn't restrict the IETF Trust from
> following the IETF's wishes in this area.

This is not being restricted.  I agree that there are some outbound
rights on which consensus has not been reached, but these are being
neither precluded nor permitted by this draft.
 
> If the IETF Trust is granted all rights to documents, and all
> capabilities to sub-license those rights further, this problem
> wouldn't exist.

But I've heard many people say that the IETF Trust should only 
have the right to grant sublicenses to the extent authorized by
the IETF community.  That's what the rules-update-07 draft says.

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg